#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-lxml
Version		:	4.9.1
Release		:	14.4.0.0%{?dist}
Summary		:	ElementTree-like Python bindings for libxml2 and libxslt
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://files.pythonhosted.org/packages/source/l/lxml

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libxslt
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-wheel
BuildRequires	:	python-packaging

#-----------------------------------------------------------------------------
%description
'%{name}' provides a Python3 binding to the libxslt and libxml2 libraries.
It follows the ElementTree API as much as possible in order to provide
a more Pythonic interface to libxml2 and libxslt than the default
bindings.  In particular, lxml deals with Python Unicode strings
rather than encoded UTF-8 and handles memory management automatically,
unlike the default bindings.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSES.txt README.rst
%{python3_sitelib}/%{sname}-%{version}.dist-info/
%{python3_sitelib}/%{sname}/*.{h,py*,so}
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/html/*.{h,py*,so}
%{python3_sitelib}/%{sname}/html/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/includes/*.py*
%{python3_sitelib}/%{sname}/includes/*.pxd
%{python3_sitelib}/%{sname}/includes/*.h
%{python3_sitelib}/%{sname}/includes/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/isoschematron/*

#============================================================================-
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

pip3							\
	wheel						\
	-w dist						\
	--no-build-isolation				\
	--no-deps					\
	$PWD

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pip3								\
	install							\
	--no-index						\
	--find-links dist					\
	--no-cache-dir lxml					\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
